package com.arrebol.taxiservicios.model.core;

import java.util.Objects;

public class UserHasPermissionId implements java.io.Serializable {

    private static final long serialVersionUID = -1834412966592867467L;

    private String idUser;
    private String idPermission;

    public UserHasPermissionId() {
    }

    public UserHasPermissionId(String idUser, String idPermission) {
        this.idUser = idUser;
        this.idPermission = idPermission;
    }

    public String getIdUser() {
        return idUser;
    }

    public void setIdUser(String idUser) {
        this.idUser = idUser;
    }

    public String getIdPermission() {
        return this.idPermission;
    }

    public void setIdPermission(String idPermission) {
        this.idPermission = idPermission;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 97 * hash + Objects.hashCode(this.idUser);
        hash = 97 * hash + Objects.hashCode(this.idPermission);
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final UserHasPermissionId other = (UserHasPermissionId) obj;
        if (!Objects.equals(this.idUser, other.idUser)) {
            return false;
        }
        if (!Objects.equals(this.idPermission, other.idPermission)) {
            return false;
        }
        return true;
    }

}
